Results 1 to 2 of 2

Thread: future game releases question?

  
  1. #1
    ferritt is offline -Hacks Newbie
    Join Date
    Aug 2005
    Location
    Leicester, England
    Posts
    20
    Rep Power
    0

    Default

    I've read that that some forthcoming psp games will need version 2.0 to play, is this true? The reason I ask is that the main reason I got my psp was because of the GTA thats out soon. Now if ya need version 2.0 firmwire to play it i'll definatly upgrade (from version 1.52), But if this is just another scam to get me to upgrade when It aint needed I'll wait for this so called downgrader so i can use home-brew.

    cheers

    P.S

    if i was to upgrade to version 2.0 should it be the one that i got with the psp or the JAP (1st release) version.

    cheers again


  2. #2
    ferritt is offline -Hacks Newbie
    Join Date
    Aug 2005
    Location
    Leicester, England
    Posts
    20
    Rep Power
    0

    Default

    let me get this straight the 2.0 update that i got on the demo disk is the most secure version so far right? And the jap is not as secure? So is anybody trying to crack any version of 2.0?

    I'll give it afew more days then if no downgrader out i'll upgrade to JAP version of 2.0.

    cheers

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •